<?xml version="1.0" encoding="UTF-8" ?>
<testsuite tests="81" failures="0" name="org.apache.synapse.samples.framework.TestSamplesHandlerSuite" time="135.127" errors="0" skipped="0">
  <properties>
    <property name="java.runtime.name" value="Java(TM) SE Runtime Environment"/>
    <property name="sun.boot.library.path" value="/build/software/java/jdk1.8.0_171/jre/lib/amd64"/>
    <property name="java.vm.version" value="25.171-b11"/>
    <property name="java.vm.vendor" value="Oracle Corporation"/>
    <property name="maven.multiModuleProjectDirectory" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="path.separator" value=":"/>
    <property name="guice.disable.misplaced.annotation.check" value="true"/>
    <property name="java.vm.name" value="Java HotSpot(TM) 64-Bit Server VM"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="user.dir" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout"/>
    <property name="java.runtime.version" value="1.8.0_171-b11"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="java.endorsed.dirs" value="/build/software/java/jdk1.8.0_171/jre/lib/endorsed"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.util.Arrays.useLegacyMergeSort" value="true"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="line.separator" value="
"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="os.name" value="Linux"/>
    <property name="classworlds.conf" value="/build/software/maven/apache-maven-3.5.4/bin/m2.conf"/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="additionalparam" value="-Xdoclint:none"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib"/>
    <property name="maven.conf" value="/build/software/maven/apache-maven-3.5.4/conf"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.class.version" value="52.0"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="maven.repo.local" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository"/>
    <property name="os.version" value="4.14.158-129.185.amzn2.x86_64"/>
    <property name="library.jansi.path" value="/build/software/maven/apache-maven-3.5.4/lib/jansi-native"/>
    <property name="user.home" value="/root"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="user.name" value="root"/>
    <property name="java.class.path" value="/build/software/maven/apache-maven-3.5.4/boot/plexus-classworlds-2.5.2.jar"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.home" value="/build/software/java/jdk1.8.0_171/jre"/>
    <property name="sun.java.command" value="org.codehaus.plexus.classworlds.launcher.Launcher -B -D maven.repo.local=/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository -s /tmp/release-settings6224843236462134264.xml -D performRelease=true -D additionalparam=-Xdoclint:none -P wso2-release deploy"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="user.language" value="en"/>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="org.apache.maven.global-settings" value="/build/software/maven/settings/settings.xml"/>
    <property name="java.version" value="1.8.0_171"/>
    <property name="java.ext.dirs" value="/build/software/java/jdk1.8.0_171/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="securerandom.source" value="file:/dev/./urandom"/>
    <property name="sun.boot.class.path" value="/build/software/java/jdk1.8.0_171/jre/lib/resources.jar:/build/software/java/jdk1.8.0_171/jre/lib/rt.jar:/build/software/java/jdk1.8.0_171/jre/lib/sunrsasign.jar:/build/software/java/jdk1.8.0_171/jre/lib/jsse.jar:/build/software/java/jdk1.8.0_171/jre/lib/jce.jar:/build/software/java/jdk1.8.0_171/jre/lib/charsets.jar:/build/software/java/jdk1.8.0_171/jre/lib/jfr.jar:/build/software/java/jdk1.8.0_171/jre/classes"/>
    <property name="java.vendor" value="Oracle Corporation"/>
    <property name="maven.home" value="/build/software/maven/apache-maven-3.5.4"/>
    <property name="file.separator" value="/"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="sun.font.fontmanager" value="sun.awt.X11FontManager"/>
    <property name="sun.cpu.isalist" value=""/>
    <property name="performRelease" value="true"/>
  </properties>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample0" name="testSynapseAsHTTPProxy" time="1.391"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample0" name="testSmartClientMode" time="0.199"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample1" name="testDumbClientMode" time="0.168"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample2" name="testCBR" time="0.196"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample3" name="testLocalEntriesReusableEndPointsSequences" time="0.185"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample4" name="testErrorHandling" time="0.168"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample5" name="testCreateFaultAndChangeDirection" time="0.207"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample6" name="testManipulatingHeadersAndFiltering" time="0.187"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample7" name="testLocalRegEntriesAndSchemaValidation" time="0.516"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample8" name="testRegistryAndXSLTMediator" time="0.386"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample9" name="testDynamicSequences" time="0.121"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample10" name="testDynamicEndPoints" time="0.199"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample11" name="testFullRegistryBasedConfig" time="0.127"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample12" name="testFireAndForget" time="5.141"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample13" name="testDualQuote" time="3.226"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample15" name="testMessageEnrichment" time="0.167"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample16" name="testDynamicStaticKeys" time="0.139"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample17" name="testPayloadFactoryMediator" time="0.162"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample19" name="testPayloadFactoryMediator" time="0.275"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample50" name="testRestToPox" time="0.242"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample51" name="testMTOMOptimization" time="0.201"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample51" name="testSWAOptimization" time="0.207"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample52" name="testSessionLessLB" time="0.881"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample53" name="testFailOver" time="6.467"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample54" name="testSessionFullLB" time="0.761"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample55" name="testSessionFullLBFailOver" time="3.228"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample56" name="testSmartClientMode" time="0.234"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample58" name="testStaticLB" time="4.215"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample59" name="testSessionLessLB" time="0.71"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPSuccess" time="0.499"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPUnAuthorized" time="0.15"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPInvalidCredentials" time="0.123"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPOAuthServerFailed" time="0.083"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPRefreshGrantType" time="0.129"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPWithCustomParams" time="0.165"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPWithoutTransportHeaders" time="0.07"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPPasswordGrantType" time="0.065"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample63" name="testOAuthConfiguredEPWithDynamicValues" time="0.074"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample64" name="testDefaultEndpointWithToHeader" time="0.124"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.endpoint.Sample64" name="testDefaultEndpointWithToHeaderSetToAnonymous" time="0.107"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample150" name="testBasicProxy" time="0.177"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample151" name="testCustomSequencesEndpointsWithProxy" time="0.151"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample152" name="testTransportAndFormatSwitching" time="0.248"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample154" name="testSessionFullLB" time="0.71"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample157" name="testRoutingOnHttpHeader" time="0.144"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.proxy.Sample161" name="testRespondMediator" time="0.127"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample250" name="testPlaceOrder" time="5.529"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample251" name="testPlaceOrder" time="19.189"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample252" name="testPlaceOrderTypeText" time="9.349"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample252" name="testPlaceOrderTypePOX" time="9.177"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample253" name="testPlaceOrder" time="8.142"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.message.Sample264" name="testTwoWayMessagesWithJMS" time="11.192"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.transport.Sample268" name="testLocalTransport" time="5.137"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.tasks.Sample300" name="testScheduledTask" time="10.15"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample350" name="testScriptMediationWithJS" time="0.211"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample351" name="testScriptMediationInLineJS" time="0.208"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample352" name="testAccessingAPIUsingScripting" time="0.142"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample353" name="testScriptMediationWithRuby" time="2.775"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample354" name="testScriptMediationWithInLineRuby" time="1.329"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample360" name="testDbLookup" time="4.272"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample361" name="testDbReport" time="2.762"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample362" name="testDbLookupReport" time="2.736"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample363" name="testReusableConnectionPools" time="2.825"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample370" name="testThrottling" time="0.118"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample371" name="testRestrictedThrottling" time="0.233"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample372" name="testConcurrencyAndRateThrottling" time="0.121"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample380" name="testCustomMediator" time="0.119"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample390" name="testXQuery" time="0.388"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample391" name="testExternalXQuery" time="0.179"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample430" name="testCallOut" time="0.121"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample433" name="testCallOutDefinedEndpoint" time="0.141"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample434" name="testCallOutInlineEndpoint" time="0.113"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample450" name="testURLRewrite" time="0.154"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample451" name="testURLRewrite" time="0.168"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample470" name="testSpringBeanAsAMediator" time="0.288"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.mediation.Sample500" name="testCallMediator" time="0.129"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.template.Sample750" name="testXSLTTransformations" time="0.149"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.template.Sample751" name="testSplitAggregate" time="0.157"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.advanced.Sample752" name="testLoadBalancingWithEndpointTemplates" time="0.694"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.rest.Sample800" name="testGetQuote" time="0.101"/>
  <testcase classname="org.apache.synapse.samples.framework.tests.rest.Sample800" name="testPlaceOrder" time="1.093"/>
</testsuite>